## Operating principle
Single shot diagnostic to measure relative pulse energy and beam position.  Back-scattered X-rays from a thin target (typically 50 nm silicon nitride) are measured by four photodiodes positioned above, below, left and right of the X-ray beam.

Position data maintains FEL pointing, while single-shot pulse energy measurements are used to normalise experiment data.  There is one PBPS in the front-end and two further devices per end station.

## How to use

1. Open photon diagnostics [web app](https://sf-photodiag.psi.ch/app)
<img src="https://docs.google.com/drawings/d/e/2PACX-1vRGynTQ54ugugA_bM9pYc9eZDlet3Z9MSZWn17wJNwAEM2ORiJGoL8O61frpLBVRpFKlzJ7M05a5Mb1/pub?w=830&h=693">

